Bug 553769: [Doclet] add support for Java9 Doclet API

  switch to the new V8 module doclet

Change-Id: Iaf115360e684156b6eeda56b8e97a07d06d0b9da
diff --git a/releng/org.eclipse.ease.releng/pom.xml b/releng/org.eclipse.ease.releng/pom.xml
index 7b84625..4b04e93 100644
--- a/releng/org.eclipse.ease.releng/pom.xml
+++ b/releng/org.eclipse.ease.releng/pom.xml
@@ -275,7 +275,7 @@
 						<version>${maven.javadoc.version}</version>
 						<configuration>
 							<outputDirectory>${project.build.directory}/../mydocs</outputDirectory>
-							<doclet>org.eclipse.ease.helpgenerator.ModuleDoclet</doclet>
+							<doclet>org.eclipse.ease.helpgenerator.V8ModuleDoclet</doclet>
 							<docletPath>${doclet.path}</docletPath>
 							<additionalparam>-root ${basedir} -failOnHTMLError true
 								-failOnMissingDocs true</additionalparam>